> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyhumm.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Command

> Get a single command by ID.

Requires READ permission on ANALYSIS resources.



## OpenAPI

````yaml https://analyst.heyhumm.ai/api/openapi.json get /commands/{command_id}
openapi: 3.1.0
info:
  title: Analyst API
  description: API for the Analyst service with proper organization-scoped permissions
  version: 1.0.0
servers:
  - url: https://analyst.heyhumm.ai
security: []
paths:
  /commands/{command_id}:
    get:
      tags:
        - commands
      summary: Get Command
      description: |-
        Get a single command by ID.

        Requires READ permission on ANALYSIS resources.
      operationId: get_command_commands__command_id__get
      parameters:
        - name: command_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: Command ID
            title: Command Id
          description: Command ID
        - name: organization_id
          in: query
          required: true
          schema:
            type: string
            title: Organization Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommandResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CommandResponse:
      properties:
        name:
          type: string
          title: Name
          description: Command name (alphanumeric + hyphens/underscores)
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Single sentence description of the command
        content:
          type: string
          title: Content
          description: Command content as markdown text
        organization_id:
          type: string
          format: uuid
          title: Organization Id
          description: Organization ID
        id:
          type: string
          format: uuid
          title: Id
        created_by_user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Created By User Id
        usage_count:
          type: integer
          title: Usage Count
          default: 0
        current_version:
          type: integer
          title: Current Version
          default: 1
        generation_status:
          $ref: '#/components/schemas/CommandGenerationStatus'
          default: ready
        generation_error:
          anyOf:
            - type: string
            - type: 'null'
          title: Generation Error
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - name
        - content
        - organization_id
        - id
        - created_at
        - updated_at
      title: CommandResponse
      description: Response model for command.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CommandGenerationStatus:
      type: string
      enum:
        - ready
        - generating
        - failed
      title: CommandGenerationStatus
      description: Status of LLM-based command generation.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````